Package opennlp.tools.cmdline.sentdetect

# Class SentenceDetectorCrossValidatorTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractTypedParamTool<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractTrainerTool<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractCrossValidatorTool<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool

public final class SentenceDetectorCrossValidatorTool extends opennlp.tools.cmdline.AbstractCrossValidatorTool<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool.CVToolParams>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentenceDetectorCrossValidatorTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getShortDescription()`
  `void`
  `run(String format, String[] args)`
  Executes the tool with the given parameters.

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SentenceDetectorCrossValidatorTool

    public SentenceDetectorCrossValidatorTool()

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      Retrieves a short description of what the tool does

  - ### run

    public void run(String format, String[] args)
    Description copied from class: `opennlp.tools.cmdline.TypedCmdLineTool`
    Executes the tool with the given parameters.
    Overrides:
      `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.cmdline.sentdetect.SentenceDetectorCrossValidatorTool.CVToolParams>`
    Parameters:
      `format` - format to work with
      `args` - command line arguments